Skip to Content
APIsPools

Pools

Get pools returns real-time or historical liquidity pool information.

Get Pools

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/pools

Returns an array of real-time or historical liquidity pool data on a decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain for decentralized exchange

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
blockstringThe blockchain block number for historical data.
orderDirectionstringasc or desc return the results sorted by that field in either ascending or descending order.
limitintNumber of results per request. Maximum 1,000 (default 100).
skipintNumber of results to skip per request.
orderBystringSort the returned data by any field in the API response, such as id, name, symbol, volumeUSD and more.
poolstringPool contract address.
success-response.json
[ { "id": "0x079e7a44f42e9cd2442c3b9536244be634e8f888", "createdAtBlockNumber": "13946834", "createdAtTimestamp": "1657313501", "feeGrowthGlobal0X128": "33523166756957040825870650430606840539", "feeGrowthGlobal1X128": "22063097588048839229216940673559101699", "feeTier": "3000", "feesUSD": "41186.94681670499373145428075267476", "liquidity": "275259128840772456455165", "liquidityProviderCount": "0", "observationIndex": "0", "sqrtPrice": "65362472457790533497927346876", "tick": "-3848", "token0Price": "1.469272072774257022696235099374057", "token1Price": "0.6806091387225616540765640838845884", "totalValueLockedToken0": "142039.789600282692041837", "totalValueLockedETH": "263008.053681041453909217827219603", "totalValueLockedToken1": "82332.106028768612285469", "totalValueLockedUSD": "179005.6848929508851906505477017337", "totalValueLockedUSDUntracked": "0", "txCount": "104626", "volumeUSD": "13728982.27223499791048476025089143", "volumeToken1": "13728566.48633066654357228", "volumeToken0": "18460880.139639477926207025", "untrackedVolumeUSD": "13728982.27223499791048476025089143", "token0": { "id": "0x471ece3750da237f93b8e339c536989b8978a438", "name": "Celo native asset", "symbol": "CELO", "decimals": "18", "supply": "17944", "totalValueLocked": "374576.456855717828257672", "totalValueLockedUSD": "254940.1596863188857054923984137805", "volume": "23767113.778304894745609846", "volumeUSD": "17407269.47751284527203886578825922", "untrackedVolumeUSD": "17406491.72059735368630709682542912", "txCount": "174411", "derivedETH": "1", "feesUSD": "52513.09229442114283010429308286935", "poolCount": "0" }, "token1": { "id": "0x765de816845861e75a25fca122bb6898b8b1282a", "name": "Celo Dollar", "symbol": "cUSD", "decimals": "18", "supply": "19016", "totalValueLocked": "877370.388895971647748686", "totalValueLockedUSD": "877370.3888959716477486859999999994", "volume": "33020496.407084955037673747", "volumeUSD": "33019355.07616878761990110619958443", "untrackedVolumeUSD": "33019086.25410862590614718721990349", "txCount": "251660", "derivedETH": "1.469272072774257022696235099374057", "feesUSD": "55320.67186157799866500784717264333", "poolCount": "0" } } ]

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/pools

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum/pools 

response-example.json
[ { "id": "0x079e7a44f42e9cd2442c3b9536244be634e8f888", "createdAtBlockNumber": "13946834", "createdAtTimestamp": "1657313501", "feeGrowthGlobal0X128": "33523166756957040825870650430606840539", "feeGrowthGlobal1X128": "22063097588048839229216940673559101699", "feeTier": "3000", "feesUSD": "41186.94681670499373145428075267476", "liquidity": "275259128840772456455165", "liquidityProviderCount": "0", "observationIndex": "0", "sqrtPrice": "65362472457790533497927346876", "tick": "-3848", "token0Price": "1.469272072774257022696235099374057", "token1Price": "0.6806091387225616540765640838845884", "totalValueLockedToken0": "142039.789600282692041837", "totalValueLockedETH": "263008.053681041453909217827219603", "totalValueLockedToken1": "82332.106028768612285469", "totalValueLockedUSD": "179005.6848929508851906505477017337", "totalValueLockedUSDUntracked": "0", "txCount": "104626", "volumeUSD": "13728982.27223499791048476025089143", "volumeToken1": "13728566.48633066654357228", "volumeToken0": "18460880.139639477926207025", "untrackedVolumeUSD": "13728982.27223499791048476025089143", "token0": { "id": "0x471ece3750da237f93b8e339c536989b8978a438", "name": "Celo native asset", "symbol": "CELO", "decimals": "18", "supply": "17944", "totalValueLocked": "374576.456855717828257672", "totalValueLockedUSD": "254940.1596863188857054923984137805", "volume": "23767113.778304894745609846", "volumeUSD": "17407269.47751284527203886578825922", "untrackedVolumeUSD": "17406491.72059735368630709682542912", "txCount": "174411", "derivedETH": "1", "feesUSD": "52513.09229442114283010429308286935", "poolCount": "0" }, "token1": { "id": "0x765de816845861e75a25fca122bb6898b8b1282a", "name": "Celo Dollar", "symbol": "cUSD", "decimals": "18", "supply": "19016", "totalValueLocked": "877370.388895971647748686", "totalValueLockedUSD": "877370.3888959716477486859999999994", "volume": "33020496.407084955037673747", "volumeUSD": "33019355.07616878761990110619958443", "untrackedVolumeUSD": "33019086.25410862590614718721990349", "txCount": "251660", "derivedETH": "1.469272072774257022696235099374057", "feesUSD": "55320.67186157799866500784717264333", "poolCount": "0" } } ]

Response Attributes

Attribute NameData TypeDescription
idstringPool contract address
createdAtBlockNumberstringBlock pool was created at
createdAtTimestampstringTimestamp pool was created at
feeGrowthGlobal0X128stringTracker for global fee growth
feeGrowthGlobal1X128stringTracker for global fee growth
feeTierstringFee amount
feesUSDstringFees in USD
liquiditystringIn range liquidity
liquidityProviderCountstringused to detect new exchanges
observationIndexstringCurrent observation index
sqrtPricestringcurrent price tracker
tickstringcurrent tick
token0Pricestringtoken0 per token1
token1Pricestringtoken1 per token0
totalValueLockedToken0stringtotal token 0 across all ticks
totalValueLockedETHstringtvl derived ETH
totalValueLockedToken1stringtotal token 1 across all ticks
totalValueLockedUSDstringtvl USD
totalValueLockedUSDUntrackedstringTVL derived in USD untracked
txCountstringall time number of transactions
volumeUSDstringall time USD swapped
volumeToken1stringall time token1 swapped
volumeToken0stringall time token0 swapped
untrackedVolumeUSDstringall time USD swapped, unfiltered for unreliable USD pools
token0stringtoken0
token1stringtoken1
idstringToken contract address
namestringToken name
symbolstringToken symbol
decimalsstringtoken decimals
supplystringtoken total supply
totalValueLockedstringliquidity in token units
totalValueLockedUSDstringliquidity in derived USD
volumestringvolume in token units
volumeUSDstringvolume in derived USD
untrackedVolumeUSDstringvolume in USD even on pools with less reliable USD values
txCountstringtransactions across all pools that include this token
derivedETHstringderived price in ETH
feesUSDstringfees in USD
poolCountstringnumber of pools containing this token

© Adesic LLC. All Rights Reserved